import { FunctionalComponent } from "@stencil/core";

export enum ButtonVariants {
  default = "default",
  secondary = "secondary",
  outline = "outline"
}

export type IconName = {
  [key: string]: (props: any) => FunctionalComponent;
};

export enum HeadingVarians {
  default = "h1",
  h2 = "h2",
  h3 = "h3",
  h4 = "h4",
  h5 = "h5",
  h6 = "h6",
};

export enum LinkVariants {
  default = "default",
  paragraph = "within-paragraph"
}
